Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Lisp Tính Độ Dài Hơi Khoai Ạ.


  • Please log in to reply
4 replies to this topic

#1 haithienld

haithienld

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 March 2017 - 08:53 AM

Xin chào tất cả các anh chị em trong diễn đàn. Mình có 1 cái file cad như đính kèm http://www.mediafire.com/file/a1f8ku72zk42g2s/M+-+012.7z

Và 1 ảnh được cắt ra từ file cad đó, có 2 điểm là 1 và 2.

Giờ làm thế nào mình chỉ cần click vào điểm 1 và điểm 2 là sẽ tính được độ dài của đường đó. Các bác dùng file của em mà viết được LISP em xin cảm ơn mọi người. 

Tiện thể cho em hỏi tí có ai biết số điện thoại của bác ketxu ko ạ. Em nghe phong thanh bác ấy mở lớp dạy online đang muốn học 1 khóa ạ. 

Cảm ơn anh chị em ạ. 159032_inkedkakaotalk_20170308_171447978


  • 0

#2 Danh Cong

Danh Cong

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 09 March 2017 - 11:10 AM

Gửi cho bạn cái Code. 

 

 

(defun c:test (/  Ent dis dis1 dis2 pt pt1 pt2 Eobject Ename Eold )
  (if (and (setq Ent (car (entsel "\nChon doi tuong can do :")))
  (wcmatch (cdr (assoc 0 (entget ent))) "*LINE,ARC,CIRCE")    
  (setq pt1 (getpoint "\nDiem dau :" ))
  (setq pt2 (getpoint pt1 "\nDiem cuoi :" )))
    (progn
      (setq pt11 (vlax-curve-getClosestPointTo ent pt1)
   dis1 (vlax-curve-getDistAtPoint Ent pt11)
   pt12 (vlax-curve-getClosestPointTo ent pt2)
   dis2 (vlax-curve-getDistAtPoint Ent pt12))
      (setq dis (abs(- dis2 dis1)))
      (ALERT  (strcat "\nKhoang cach :" (rtos dis 2 3)))))
  (princ))

 


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#3 hoquangvinh

hoquangvinh

    biết lệnh stretch

  • Members
  • PipPipPip
  • 167 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 March 2017 - 11:08 AM

 

 

Tiện thể cho em hỏi tí có ai biết số điện thoại của bác ketxu ko ạ. Em nghe phong thanh bác ấy mở lớp dạy online đang muốn học 1 khóa ạ. 

Cảm ơn anh chị em ạ. 

 

Lisp thì mình ko biết đã có người giúp bạn rồi

Còn sđt của ketxu chắc ko có đâu có địa chỉ face của nhóm bạn ấy đây

https://www.facebook...dusers/?fref=ts


  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5699 Bài viết
Điểm đánh giá: 2620 (tuyệt vời)

Đã gửi 10 March 2017 - 11:33 AM

http://www.cadtutor....90688d10e4d045e
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1445 Bài viết
Điểm đánh giá: 1434 (rất tốt)

Đã gửi 10 March 2017 - 04:30 PM

Nếu các line, arc liền với nhau thì có thể dúng lệnh PEDIT để nối thành Pline, sau đó tính chiều dài của pline đó.

Nhưng trong file các đ/tượng này cách nhau khá xa ???


  • 0